import React, {Fragment} from 'react';
import {StatusBar, StyleSheet} from 'react-native';
import {SafeAreaView} from 'react-navigation';
import AppContainer from './screens/routes';

import LogService from './services/Log';
import Constants from './lib/constants';

class App extends React.Component {
  async componentDidMount() {
    await LogService.logAction('App', 'started the app');
  }

  render() {
    return (
      <Fragment>
        <StatusBar
          backgroundColor={Constants.colors.primaryDark}
          barStyle="light-content"
        />
        <SafeAreaView style={styles.container}>
          <AppContainer />
        </SafeAreaView>
      </Fragment>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
});

export default App;
