import React from 'react';
import {TouchableOpacity, Text, StyleSheet} from 'react-native';
import Constants from '../lib/constants';

const Button = props => {
  return (
    <TouchableOpacity style={styles.container} {...props}>
      <Text style={styles.text}>{props.children}</Text>
    </TouchableOpacity>
  );
}; 

const styles = StyleSheet.create({
  container: {
    height: 44,
    width: 240,
    backgroundColor: Constants.colors.primary,
    borderRadius: 25,
    justifyContent: 'center',
  },
  text: {
    color: 'white',
    letterSpacing: 2,
    textTransform: 'uppercase',
    textAlign: 'center',
    fontSize: 15,
  },
});

export default Button;
