import React from 'react';
import {View, StyleSheet} from 'react-native';

const Card = props => {
  const cardStyle = [styles.item];
  if (props.disabled) {
    cardStyle.push(styles.disabled);
  }
  return <View style={cardStyle}>{props.children}</View>;
};

const styles = StyleSheet.create({
  item: {
    borderWidth: 1,
    borderColor: 'rgba(165, 54, 147, 0.2)',
    borderRadius: 10,
    margin: 20,
    padding: 20,
    minWidth: '80%',
    backgroundColor: '#fff',
    minHeight: 100,
  },
  disabled: {
    backgroundColor: 'rgba(184,166,179, 0.1)',
  },
});

export default Card;
