import React from 'react';
import {StyleSheet, View, Modal, ActivityIndicator} from 'react-native';
import Constants from '../lib/constants';

class LoadingActivity extends React.Component {
  render() {
    return (
      <Modal transparent visible={this.props.loading}>
        <View style={styles.modalBackground}>
          <ActivityIndicator
            size="large"
            color={Constants.colors.primaryDark}
          />
        </View>
      </Modal>
    );
  }
}

const styles = StyleSheet.create({
  modalBackground: {
    flex: 1,
    alignItems: 'center',
    flexDirection: 'column',
    justifyContent: 'space-around',
    backgroundColor: '#00000040',
  },
});

export default LoadingActivity;
