import Firebase, {firestore} from '../lib/firebase';
import User from './User';

class FeedData {
  constructor() {
    this.firestore = firestore;
  }

  async getPosts() {
    const qs = await this.firestore.collection('/feed').get();

    const posts = [];
    qs.forEach(doc => {
      if (doc.exists) {
        let data = doc.data();
        data.id = doc.id;
        posts.push(data);
      }
    });

    return posts;
  }

  async postInteract(postId, value) {
    await this.firestore
      .collection(`/postsUsers/${User.uid}/posts`)
      .doc(postId)
      .set({
        value,
        updatedAt: Firebase.firestore.FieldValue.serverTimestamp(),
      });
  }

  async getUserPosts() {
    const posts = await this.firestore
      .collection(`/postsUsers/${User.uid}/posts`)
      .get();

    return posts.docs.map(p => ({...p.data(), postId: p.id}));
  }
}

export default new FeedData();
